<ul class="pagination">
  
  <div *ngIf="showFirst">
    <li class="pagination__item">
      <a
        routerLinkActive="selected"
        [routerLink]="pageToRoute"
        [queryParams]="{ page: 1 }"
      >
        {{ 1 }}
        <div>...</div>
      </a>
    </li>
  </div>

  <li class="pagination__item" *ngFor="let page of paginations">
    <a
      routerLinkActive="selected"
      [routerLink]="pageToRoute"
      [queryParams]="{ page: page }"
    >
      {{ page }}
    </a>
  </li>

  <li class="pagination__item">
    <a
      *ngIf="showLast"
      routerLinkActive="selected"
      [routerLink]="pageToRoute"
      [queryParams]="{ page: maxPages }"
    >
      <div>...</div>
      {{ maxPages }}
    </a>
  </li>
</ul>
